# mongoc_bulk_operation_remove()

## Synopsis

    void
    mongoc_bulk_operation_remove (mongoc_bulk_operation_t *bulk,
                                  const bson_t *selector);

Remove documents as part of a bulk operation. This only queues the operation. To execute it, call mongoc_bulk_operation_execute().

This function is superseded by mongoc_bulk_operation_remove_one_with_opts() and mongoc_bulk_operation_remove_many_with_opts().

## Parameters

- `bulk`: A mongoc_bulk_operation_t.

- `selector`: A `bson_t`.

## Errors

Errors are propagated via mongoc_bulk_operation_execute().

See also

mongoc_bulk_operation_remove_one()
mongoc_bulk_operation_remove_one_with_opts()
mongoc_bulk_operation_remove_many_with_opts()